Bug 36769 - univention-printquota and univention-printserver-pdf are deinstalled during update to UCS 4.0
univention-printquota and univention-printserver-pdf are deinstalled during u...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Felix Botner
: interim-4
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-17 17:56 CET by Felix Botner
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-11-17 17:56:19 CET
We already check for univention-printserver in update/ucs40/installedapps. But univention-printquota and univention-printserver-pdf are removed to during update.

(1)
add univention-printquota and univention-printserver-pdf to installed apps test

(2)
This is all because the new univention-printserver has a dependency to printer-driver-postscript-hp, which eventually wants to install libgd2-xpm. But this package conflicts with libgd2-noxpm, which is installed. apt-get refuses to replace libgd2-noxpm with libgd2-xpm during the update and deinstalls univention-printserver (and therefore univention-prinquota ...).

Maybe we should only recommend printer-driver-postscript-hp (hopefully this fixes the update) or remove it completely as there are no ppds in this package:

-> dpkg -L printer-driver-postscript-hp 
/.
/usr
/usr/share
/usr/share/doc
/usr/share/doc/printer-driver-postscript-hp
/usr/share/doc/printer-driver-postscript-hp/changelog.Debian.gz
/usr/share/doc/printer-driver-postscript-hp/copyright
/usr/share/cups
/usr/share/cups/ppd-updaters
/usr/share/cups/ppd-updaters/printer-driver-postscript-hp.ppd-updater
/usr/lib
/usr/lib/cups
/usr/lib/cups/driver
/usr/lib/cups/driver/postscript-hp
Comment 1 Stefan Gohmann univentionstaff 2014-11-17 23:01:45 CET
I've added univention-printquota and univention-printserver-pdf to the preup.sh: r55902

Changelog: r55903
Comment 2 Felix Botner univentionstaff 2014-11-18 11:18:17 CET
OK
Comment 3 Stefan Gohmann univentionstaff 2014-11-18 14:22:32 CET
I've also added ucs-school-ucc-integration and ucs-school-umc-printermoderation: r55929
Comment 4 Felix Botner univentionstaff 2014-11-18 22:14:30 CET
this test 

case "$(dpkg-query -W -f '${Status}' $app in "deinstall ok config-files"

prevents the (re)installation of ucs-school-umc-printermoderation and ucs-school-ucc-integration, because they have not config files

-> dpkg-query -W -f '${Status}' ucs-school-umc-printermoderation
unknown ok not-installed
Comment 5 Stefan Gohmann univentionstaff 2014-11-18 22:30:19 CET
(In reply to Felix Botner from comment #4)
> this test 
> 
> case "$(dpkg-query -W -f '${Status}' $app in "deinstall ok config-files"
> 
> prevents the (re)installation of ucs-school-umc-printermoderation and
> ucs-school-ucc-integration, because they have not config files
> 
> -> dpkg-query -W -f '${Status}' ucs-school-umc-printermoderation
> unknown ok not-installed

Fixed with r55955
Comment 6 Felix Botner univentionstaff 2014-11-18 22:31:24 CET
dpkg-query -W -f '${Status}' univention-printserver
deinstall ok config-files

-> dpkg-query -W -f '${Status}'  ucs-school-ucc-integration
unknown ok not-installed
Comment 7 Stefan Gohmann univentionstaff 2014-11-18 22:35:43 CET
Sorry. But now as suggested, the packages are installed always.
Comment 8 Felix Botner univentionstaff 2014-11-19 12:30:33 CET
OK
Comment 9 Stefan Gohmann univentionstaff 2014-11-26 06:54:09 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".